ghc-9.6.3: The GHC API

Safe Haskell | Safe-Inferred
Language | Haskell2010

GHC.Core.LateCC

Description

Adds cost-centers after the core piple has run.

# Documentation

addLateCostCentresMG :: ModGuts -> CoreM ModGuts Source #

addLateCostCentresPgm :: DynFlags -> Logger -> Module -> CoreProgram -> IO (CoreProgram, Set CostCentre) Source #

addLateCostCentres :: Env -> CoreProgram -> (CoreProgram, Set CostCentre) Source #

data Env Source #

Constructors

Env |

Fields

- thisModule :: !Module
- countEntries :: !Bool
- ccState :: !CostCentreState
- collectCCs :: !Bool